Merge lp:~sergiusens/snapcraft/1498140 into lp:~snappy-dev/snapcraft/core

Proposed by Sergio Schvezov
Status: Merged
Approved by: Leo Arias
Approved revision: 189
Merged at revision: 190
Proposed branch: lp:~sergiusens/snapcraft/1498140
Merge into: lp:~snappy-dev/snapcraft/core
Prerequisite: lp:~sergiusens/snapcraft/1481499
Diff against target: 34 lines (+13/-0)
2 files modified
integration-tests/units/jobs.pxu (+9/-0)
snapcraft/cmds.py (+4/-0)
To merge this branch: bzr merge lp:~sergiusens/snapcraft/1498140
Reviewer Review Type Date Requested Status
Leo Arias (community) code review, test manually, test automatically Approve
Review via email: mp+271860@code.launchpad.net

Commit message

Load the config before trying to run

To post a comment you must log in.
lp:~sergiusens/snapcraft/1498140 updated
189. By Sergio Schvezov

Load the config before trying to run

Revision history for this message
Leo Arias (elopio) :
review: Approve (code review, test manually, test automatically)

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
=== modified file 'integration-tests/units/jobs.pxu'
--- integration-tests/units/jobs.pxu 2015-09-20 14:34:08 +0000
+++ integration-tests/units/jobs.pxu 2015-09-21 19:23:22 +0000
@@ -7,6 +7,15 @@
7 test $? = 1 || exit 17 test $? = 1 || exit 1
8 echo $OUTPUT | grep "Could not find snapcraft\.yaml\."8 echo $OUTPUT | grep "Could not find snapcraft\.yaml\."
99
10id: snapcraft/normal/no-yaml-run
11plugin: shell
12estimated_duration: 0.1
13command:
14 set -x
15 OUTPUT=$(${SNAPCRAFT} run 2>&1)
16 test $? = 1 || exit 1
17 echo $OUTPUT | grep "Could not find snapcraft\.yaml\."
18
10id: snapcraft/normal/assemble-meta-externally19id: snapcraft/normal/assemble-meta-externally
11plugin: shell20plugin: shell
12estimated_duration: 0.321estimated_duration: 0.3
1322
=== modified file 'snapcraft/cmds.py'
--- snapcraft/cmds.py 2015-09-21 19:23:22 +0000
+++ snapcraft/cmds.py 2015-09-21 19:23:22 +0000
@@ -137,6 +137,10 @@
137137
138138
139def run(args):139def run(args):
140 # We are mostly making sure we are operating from the correct location. In
141 # the future this could do more by using target attribute in snapcraft.yaml
142 # to create the correct target image.
143 _load_config()
140 # Find the ssh key that ubuntu-device-flash would use so that we can use it144 # Find the ssh key that ubuntu-device-flash would use so that we can use it
141 # ourselves as well. This may not be the default key that the user has145 # ourselves as well. This may not be the default key that the user has
142 # configured.146 # configured.

Subscribers

People subscribed via source and target branches